#
# spec file for package python-rencode
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-rencode
Version:        1.0.5
Release:        lp151.2.4
Summary:        Web safe object pickling/unpickling
License:        GPL-3.0+
Url:            https://github.com/aresch/rencode
Source0:        https://files.pythonhosted.org/packages/source/r/rencode/rencode-%{version}.tar.gz
Source1:        %{name}.changes
BuildRequires:  %{python_module Cython}
BuildRequires:  %{python_module devel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%python_subpackages

%description
The rencode module is a modified version of bencode from the
BitTorrent project.  For complex, heterogeneous data structures with
many small elements, r-encodings take up significantly less space than
b-encodings. Python2 version of package

%prep
%setup -q -n rencode-%{version}
# to "avoid python-bytecode-inconsistent-mtime" warnings
FAKE_TIMESTAMP=$(LC_ALL=C date -u -r %{SOURCE1} +%y%m%d%H%M)
find . -name '*.py' -exec touch -mat $FAKE_TIMESTAMP {} \;

%build
export CFLAGS="%{optflags}"
export CXXFLAGS="%{optflags}"
%python_build

%install
%python_install
%python_expand %fdupes -s %{buildroot}%{$python_sitearch}/rencode

%files %{python_files}
%defattr(-,root,root)
%{python_sitearch}/rencode
%{python_sitearch}/rencode-%{version}-py%{python_version}.egg-info

%changelog
* Thu Jul 20 2017 aloisio@gmx.com
- Set correct license
* Mon Jun  5 2017 aloisio@gmx.com
- Initial package (v. 1.0.5)
